For all LiveSchool technology requirements, see our article, What Are the System Requirements to Use LiveSchool?


The LiveSchool App requires iOS 14.5 and up for any Apple products. Click here for directions on updating your iOS!

If you're receiving the error that appears below, please look for available software updates.

A loading screen error indicates iOS needs to be updated.

While you're waiting for devices to be updated, LiveSchool will continue to work on desktops and laptops. However, if you've received word from your school or district that the update might be delayed, please reach out to support@liveschoolinc.com, and we will do our part to advocate for a faster update process.


Looking for more LiveSchool Resources? Click here!


Did this answer your question?